> ## Documentation Index
> Fetch the complete documentation index at: https://developers.zerion.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get fungible asset by implementation

> This endpoint returns a fungible asset by its implementation.
The implementation is a `chain` (for base asset) or `chain:address` pair (e.g., "ethereum", ethereum:0xa5a4214bb5f00c86b7969b7dc007302e4f6f05d6").




## OpenAPI

````yaml /openapi-v1.yaml get /v1/fungibles/by-implementation
openapi: 3.0.3
info:
  version: 1.0.0
  title: REST API
  description: REST-like API provides access to rich Zerion ecosystem.
  contact:
    name: Zerion API
    url: https://developers.zerion.io/
    email: api@zerion.io
servers:
  - description: Production API
    url: https://api.zerion.io
security:
  - APIKeyBasicAuth: []
tags:
  - name: wallets
    description: >-
      Operations related to wallets, such as portfolio charts, positions, and
      transactions.
  - name: wallet sets
    description: >-
      Operations on a wallet set — aggregated portfolio data across at most one
      EVM address and one Solana address queried together.
  - name: fungibles
    description: >-
      Operations related to fungible assets, such as list them all, search or
      get by ID.
  - name: chains
    description: Operations related to chains, such as list all chains.
  - name: swap
    description: Operations related to swapping and bridging assets.
  - name: gas
    description: Operations related to gas.
  - name: nfts
    description: >-
      Operations related to non fungible assets, such list them, search or get
      by ID.
  - name: dapps
    description: >-
      Operations related to decentralized applications, such as list them all,
      search or get by ID.
  - name: subscriptions to transactions
    description: Operations related to subscriptions to transactions.
paths:
  /v1/fungibles/by-implementation:
    get:
      tags:
        - fungibles
      summary: Get fungible asset by implementation
      description: >
        This endpoint returns a fungible asset by its implementation.

        The implementation is a `chain` (for base asset) or `chain:address` pair
        (e.g., "ethereum",
        ethereum:0xa5a4214bb5f00c86b7969b7dc007302e4f6f05d6").
      operationId: getFungibleByImplementation
      parameters:
        - name: implementation
          in: query
          required: true
          description: >
            Fungible implementation in the format `chain` or `chain:address`

            (e.g., "ethereum:0xa5a4214bb5f00c86b7969b7dc007302e4f6f05d6").


            If only the chain is provided without an address (e.g., "ethereum"),
            it will return the base asset of that chain.
          schema:
            type: string
        - $ref: '#/components/parameters/Currency'
      responses:
        '200':
          $ref: '#/components/responses/SingleFungibleResponse'
        '400':
          $ref: '#/components/responses/MalformedParameters'
        '401':
          $ref: '#/components/responses/UnauthenticatedError'
        '404':
          $ref: '#/components/responses/NotFoundResponse'
        '429':
          $ref: '#/components/responses/TooManyRequests'
components:
  parameters:
    Currency:
      name: currency
      in: query
      required: false
      description: Denominated currency value of returned prices
      schema:
        type: string
        default: usd
        enum:
          - eth
          - btc
          - usd
          - eur
          - krw
          - rub
          - gbp
          - aud
          - cad
          - inr
          - jpy
          - nzd
          - try
          - zar
          - cny
          - chf
  responses:
    SingleFungibleResponse:
      description: Resource for requested fungible
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Response-12'
    MalformedParameters:
      description: Parameters are malformed
      content:
        application/json:
          schema:
            type: object
            properties:
              errors:
                type: array
                items:
                  type: object
                  properties:
                    title:
                      type: string
                      description: Error short title
                      example: Parameter is malformed
                    detail:
                      type: string
                      description: Long description of the error
                      example: Some validation errors will be described here
    UnauthenticatedError:
      description: Unathenticated request
      content:
        application/json:
          schema:
            type: object
            properties:
              errors:
                type: array
                items:
                  type: object
                  properties:
                    title:
                      type: string
                      description: Error short title
                      example: Unauthorized Error
                    detail:
                      type: string
                      description: Long description of the error
                      example: >-
                        The API key is invalid, please, make sure that you are
                        using a valid key
    NotFoundResponse:
      description: Resource was not found
      content:
        application/json:
          schema:
            type: object
            properties:
              errors:
                type: array
                items:
                  type: object
                  properties:
                    title:
                      type: string
                      description: Error short title
                      example: Resource was not found
                    detail:
                      type: string
                      description: Long description of the error
                      example: Requested resource was not found, try later
    TooManyRequests:
      description: Too many requests error
      content:
        application/json:
          schema:
            type: object
            properties:
              errors:
                type: array
                items:
                  type: object
                  properties:
                    title:
                      type: string
                      description: Error short title
                      example: Too many requests
                    detail:
                      type: string
                      description: Long description of the error
                      example: Your request had been throttled
  schemas:
    Response-12:
      type: object
      required:
        - links
        - data
      properties:
        links:
          $ref: '#/components/schemas/ResponseLinks-12'
        data:
          $ref: '#/components/schemas/Container-12'
    ResponseLinks-12:
      type: object
      properties:
        related:
          type: string
          format: url
          example: >-
            https://api.zerion.io/v1/fungibles/0x2af1df3ab0ab157e1e2ad8f88a7d04fbea0c7dc6
    Container-12:
      type: object
      description: Object, representing fungible asset.
      required:
        - type
        - id
      properties:
        type:
          type: string
          description: Fungible resource type
          example: fungibles
        id:
          type: string
          description: Fungible unique identifier
          example: '0x2af1df3ab0ab157e1e2ad8f88a7d04fbea0c7dc6'
        attributes:
          $ref: '#/components/schemas/Attributes-10'
        relationships:
          $ref: '#/components/schemas/Relationships-6'
    Attributes-10:
      type: object
      required:
        - name
        - symbol
        - flags
        - external_links
        - implementations
        - market_data
      properties:
        name:
          type: string
          description: Displayable name of the fungible.
          example: Bankless BED Index
        symbol:
          type: string
          description: Displayable symbol of the fungible.
          example: BED
        description:
          type: string
          nullable: true
          description: Brief description of the fungible.
          example: The BED index is meant to track crypto's top 3 investab.
        icon:
          $ref: '#/components/schemas/Icon'
        flags:
          $ref: '#/components/schemas/Flags'
        external_links:
          $ref: '#/components/schemas/ExternalLinks'
        implementations:
          type: array
          description: Implementation details of the fungible on various chains.
          items:
            $ref: '#/components/schemas/AttributesImplementation'
        market_data:
          $ref: '#/components/schemas/MarketData'
    Relationships-6:
      type: object
      required:
        - chart_hour
        - chart_day
        - chart_week
        - chart_month
        - chart_year
        - chart_max
      properties:
        chart_hour:
          type: object
          required:
            - links
            - data
          properties:
            links:
              type: object
              required:
                - related
              properties:
                related:
                  format: url
                  example: >-
                    https://api.zerion.io/v1/fungibles/0x2af1df3ab0ab157e1e2ad8f88a7d04fbea0c7dc6/charts/hour
            data:
              type: object
              required:
                - type
                - id
              properties:
                type:
                  type: string
                  example: fungible_charts
                id:
                  type: string
                  example: 0x2af1df3ab0ab157e1e2ad8f88a7d04fbea0c7dc6-hour
        chart_day:
          type: object
          required:
            - links
            - data
          properties:
            links:
              type: object
              required:
                - related
              properties:
                related:
                  format: url
                  example: >-
                    https://api.zerion.io/v1/fungibles/0x2af1df3ab0ab157e1e2ad8f88a7d04fbea0c7dc6/charts/day
            data:
              type: object
              required:
                - type
                - id
              properties:
                type:
                  type: string
                  example: fungible_charts
                id:
                  type: string
                  example: 0x2af1df3ab0ab157e1e2ad8f88a7d04fbea0c7dc6-day
        chart_week:
          type: object
          required:
            - links
            - data
          properties:
            links:
              type: object
              required:
                - related
              properties:
                related:
                  format: url
                  example: >-
                    https://api.zerion.io/v1/fungibles/0x2af1df3ab0ab157e1e2ad8f88a7d04fbea0c7dc6/charts/week
            data:
              type: object
              required:
                - type
                - id
              properties:
                type:
                  type: string
                  example: fungible_charts
                id:
                  type: string
                  example: 0x2af1df3ab0ab157e1e2ad8f88a7d04fbea0c7dc6-week
        chart_month:
          type: object
          required:
            - links
            - data
          properties:
            links:
              type: object
              required:
                - related
              properties:
                related:
                  format: url
                  example: >-
                    https://api.zerion.io/v1/fungibles/0x2af1df3ab0ab157e1e2ad8f88a7d04fbea0c7dc6/charts/month
            data:
              type: object
              required:
                - type
                - id
              properties:
                type:
                  type: string
                  example: fungible_charts
                id:
                  type: string
                  example: 0x2af1df3ab0ab157e1e2ad8f88a7d04fbea0c7dc6-month
        chart_year:
          type: object
          required:
            - links
            - data
          properties:
            links:
              type: object
              required:
                - related
              properties:
                related:
                  format: url
                  example: >-
                    https://api.zerion.io/v1/fungibles/0x2af1df3ab0ab157e1e2ad8f88a7d04fbea0c7dc6/charts/year
            data:
              type: object
              required:
                - type
                - id
              properties:
                type:
                  type: string
                  example: fungible_charts
                id:
                  type: string
                  example: 0x2af1df3ab0ab157e1e2ad8f88a7d04fbea0c7dc6-year
        chart_max:
          type: object
          required:
            - links
            - data
          properties:
            links:
              type: object
              required:
                - related
              properties:
                related:
                  format: url
                  example: >-
                    https://api.zerion.io/v1/fungibles/0x2af1df3ab0ab157e1e2ad8f88a7d04fbea0c7dc6/charts/max
            data:
              type: object
              required:
                - type
                - id
              properties:
                type:
                  type: string
                  example: fungible_charts
                id:
                  type: string
                  example: 0x2af1df3ab0ab157e1e2ad8f88a7d04fbea0c7dc6-max
    Icon:
      type: object
      description: Icon related to object.
      properties:
        url:
          type: string
          nullable: true
          format: url
          description: URL of the icon.
          example: >-
            https://token-icons.s3.amazonaws.com/0x0391d2021f89dc339f60fff84546ea23e337750f.png
    Flags:
      type: object
      required:
        - verified
      properties:
        verified:
          type: boolean
          description: Whether this fungible verified or not
          example: true
    ExternalLinks:
      type: array
      description: A list of relevant URLs.
      items:
        $ref: '#/components/schemas/ExternalLink'
    AttributesImplementation:
      type: object
      required:
        - chain_id
        - address
        - decimals
      properties:
        chain_id:
          type: string
          description: Unique id of the chain.
          example: ethereum
        address:
          type: string
          nullable: true
          description: Implementation address on the chain.
          example: '0x2af1df3ab0ab157e1e2ad8f88a7d04fbea0c7dc6'
        decimals:
          type: integer
          description: Number of decimals points of the implementation.
          example: 18
        market_data:
          $ref: '#/components/schemas/ImplementationMarketData'
        deployment_date:
          type: string
          format: date-time
          description: >-
            Date and time when the token contract was deployed on this chain
            (ISO 8601).
          example: '2020-09-09T11:11:13Z'
    MarketData:
      type: object
      required:
        - price
      properties:
        total_supply:
          type: number
          format: double
          description: Total market supply of fungible
          example: 29905.762448515918
        circulating_supply:
          type: number
          format: double
          description: Circulating value of fungible
          example: 29905.762448515918
        fully_diluted_valuation:
          type: number
          format: double
          description: Total market capitalization of fungible in selected currency
          example: 3196313.736038149
        market_cap:
          type: number
          format: double
          description: Circulating market capitalization of fungible in selected currency
          example: 3196313.736038149
        price:
          type: number
          nullable: true
          format: double
          description: Latest fungible price
          example: 106.87952669793131
        changes:
          $ref: '#/components/schemas/MarketDataChanges'
        trading_volumes:
          $ref: '#/components/schemas/TradingVolumes'
    ExternalLink:
      type: object
      required:
        - url
      properties:
        type:
          type: string
          description: Type of the link
          example: website
        name:
          type: string
          description: Displayable name of the link
          example: Website
        url:
          type: string
          format: url
          description: Link to the external resource
          example: https://www.indexcoop.com
    ImplementationMarketData:
      type: object
      properties:
        trading_volumes:
          $ref: '#/components/schemas/TradingVolumes'
    MarketDataChanges:
      type: object
      properties:
        percent_1d:
          type: number
          nullable: true
          format: double
          description: Price relative change in percent for 1 day
          example: -0.7379066649086338
        percent_30d:
          type: number
          nullable: true
          format: double
          description: Price relative change in percent for 30 days
          example: -2.499465618806962
        percent_90d:
          type: number
          nullable: true
          format: double
          description: Price relative change in percent for 90 days
          example: 11.316340269371775
        percent_365d:
          type: number
          nullable: true
          format: double
          description: Price relative change in percent for 1 year
          example: null
    TradingVolumes:
      type: object
      properties:
        volume_1d:
          type: number
          format: double
          description: Trading volume over the last 24 hours in the selected currency.
          example: 40096375.69294812
  securitySchemes:
    APIKeyBasicAuth:
      type: http
      scheme: basic
      description: >-
        To test endpoints here, paste your API key from the
        [dashboard](https://dashboard.zerion.io/) into the username field and
        leave the password empty.

````